Update An existing SNMP destination profile
Update an existing SNMP Trap destination profile. Only admin users can perform this action.
The Entity ID of object requestion information on
SNMP destination profile
{
"nick_name": "AWS SNMP collector profile",
"target_ip": "10.11.11.102",
"target_port": 161,
"snmp_version": "string",
"snmp_v2c": {
"community_string": "public"
},
"snmp_v3": {
"username": "readonly",
"context_name": "default",
"authentication_type": "MD5",
"authentication_password": "VMware1!",
"privacy_type": "AES256",
"privacy_password": "VMware1!"
}
}
Descriptor or identifier for particular SNMP profile.
IP address of SNMP target destination
Receiving port number of SNMP target destination
snmp_version
snmp_v2c
snmp_v3
Success
{
"entity_id": "snmp-er67ght8kn67",
"nick_name": "AWS SNMP collector profile",
"target_ip": "10.11.11.102",
"target_port": 161,
"snmp_version": "string",
"snmp_v2c": {
"community_string": "public"
},
"snmp_v3": {
"username": "readonly",
"context_name": "default",
"authentication_type": "MD5",
"authentication_password": "VMware1!",
"privacy_type": "AES256",
"privacy_password": "VMware1!"
}
}
Entity Identifier for SNMP profile.
User defined descriptor or identifier for particular SNMP profile.
IP address of SNMP target destination
Receiving port number of SNMP target destination
snmp_version
snmp_v2c
snmp_v3
Bad Request
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Unauthorized
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Forbidden
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Not Found
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Internal error
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/settings/snmp/profiles/{id}